Core - Bug # 40146

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category:

Created: 2012-08-24 Assigned To:

Updated: 2012-08-25 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: [rsaauth] Call to undefined method CommandUltility::getCommand()

Description

While trying to log in into backend I'm getting:

Fatal error: Call to undefined method TYPO3\CMS\Core\Utility\CommanduUstility::getCommand() in
C:\xampp\htdocs\community46\typo3\sysext\rsaauth\Classes\Backend\CommandLineBackend.php on line 60

this line right now is:
$this->opensslPath = \TYPO3\CMS\Core\Utility\CommandUtility::getCommand('openssl');

before was:
$this->openssiPath = t3lib_exec::getCommand('openssl'’);

Class t3lib_exec is now mapped to \TYPO3\CMS\Core\Extension\ExtensionManager::extPath('core’) .
'Classes/Utility/CommandUltility.php';

but the content of CommandUltility is completely different then the original t3lib_exec class

Associated revisions

Revision a657956b - 2012-08-24 23:35 - Tymoteusz Motylewski

[BUGFIX] Merge t3lib_exec class with t3lib_utility Command

After namespace change both classes t3lib_utility Command t3lib_exec
are mapped to the new class TYPO3\CMS\Core\Utility\CommandUtility

This patch adds missing t3lib_exec content to CommandUtility.

Mapping old classes names to new one is already done for both classes.
Related: #40095

Fixes: #40146

Release: 6.0

Change-Id: laed788ddebd42ed115c986fc7d6d056f73d29chb9
Reviewed-on: http://review.typo3.org/14056

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
History

#1 - 2012-08-24 22:31 - Tymoteusz Motylewski

seems that both

t3lib_utility_ Command and t3lib_exec are pointing to the same file now "Classes/Utility/CommandUtility.php

#2 - 2012-08-24 22:36 - Christian Kuhn

- Parent task set to #40095

#3 - 2012-08-24 23:12 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14056

#4 - 2012-08-24 23:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/14056

#5 - 2012-08-24 23:35 - Christian Kuhn

The transfer to CommandUltility was planned, but not done. The patch takes care of that.

#6 - 2012-08-25 00:30 - Tymoteusz Motylewski
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a657956b6c6795d07e07496906dd27fff33afc36.
